summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 8eef4d3)
raw | patch | inline | side by side (parent: 8eef4d3)
author | Junio C Hamano <junkio@cox.net> | |
Sat, 7 May 2005 19:26:15 +0000 (12:26 -0700) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Sat, 7 May 2005 19:26:15 +0000 (12:26 -0700) |
Thomas Glanzmann says that shell he uses on Solaris cannot grok
$(command) but the script does not use nested $(command) and
works happily just by using backticks instead.
Signed-off-by: Junio C Hamano <junkio@cox.net>
$(command) but the script does not use nested $(command) and
works happily just by using backticks instead.
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-merge-one-file-script | patch | blob | history |
index 3fb43ccb094dd398a753bf264f8532ec380f9087..3e128c665da501f9b07d3b2a932110394f2f169f 100755 (executable)
#
"$1$2$3")
echo "Auto-merging $4."
- orig=$(git-unpack-file $1)
- src1=$(git-unpack-file $2)
- src2=$(git-unpack-file $3)
+ orig=`git-unpack-file $1`
+ src1=`git-unpack-file $2`
+ src2=`git-unpack-file $3`
merge "$src2" "$orig" "$src1"
ret=$?
if [ "$6" != "$7" ]; then
echo "ERROR: Leaving conflict merge in $src2."
exit 1
fi
- sha1=$(git-write-blob "$src2") || {
+ sha1=`git-write-blob "$src2"` || {
echo "ERROR: Leaving conflict merge in $src2."
}
exec git-update-cache --add --cacheinfo "$6" $sha1 "$4" ;;